Bug 975234 - Classloader getResource() method is unable reference directories
Classloader getResource() method is unable reference directories
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Class Loading (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: EAP 6.1.1
Assigned To: David M. Lloyd
:
Depends On:
Blocks: 975143
  Show dependency treegraph
 
Reported: 2013-06-17 16:56 EDT by Brad Maxwell
Modified: 2013-09-16 16:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:27:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODULES-167 Major Resolved Allow getResource() methods to reference directories 2017-03-30 00:06 EDT

  None (edit)
Description Brad Maxwell 2013-06-17 16:56:51 EDT
getResource on a directory returns null when the resource is in a module in the modules directory:

Thread.currentThread().getContextClassLoader().getResource('directory')

It is fixed by:
Allow getResource() methods to reference directories 
https://issues.jboss.org/browse/MODULES-167
Comment 2 Rostislav Svoboda 2013-06-18 10:22:26 EDT
1.2.1.Final and 1.2.2.Final contain bugfixes, granting ack

https://issues.jboss.org/browse/MODULES/fixforversion/12321521
https://issues.jboss.org/browse/MODULES/fixforversion/12321863
Comment 3 Paul Gier 2013-08-27 11:53:36 EDT
JBoss Modules 1.2.2.Final was included in eap 6.1.1 ER3
Comment 4 Ondrej Chaloupka 2013-08-29 09:18:54 EDT
Verified on EAP 6.1.1.ER7

Note You need to log in before you can comment on or make changes to this bug.